/******************************************************************************

Copyright (c) 2007   Tsunehiko Kato

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

ȉɒ߂ɏ]A{\tgEFAъ֘Ãt@Ciȉu\tgEF
Avj̕擾邷ׂĂ̐lɑ΂A\tgEFA𖳐ɈƂ𖳏ŋ
܂Bɂ́A\tgEFA̕gpAʁAύXAAfځAЕzATu
CZXA/܂͔̔錠Aу\tgEFA񋟂鑊ɓ
Ƃ錠Ɋ܂܂܂B

L̒쌠\і{\A\tgEFÂׂĂ̕܂͏dvȕ
Lڂ̂Ƃ܂B

\tgEFÁû܂܁vŁAł邩Öقł邩킸A̕ۏ؂
񋟂܂Błۏ؂Ƃ́AiA̖ړIւ̓KAьN
QɂĂ̕ۏ؂܂݂܂AɌ肳̂ł͂܂B ҂܂͒
쌠҂́A_sׁAs@sׁA܂͂ȊOł낤ƁA\tgEFAɋN܂
֘AA邢̓\tgEFA̎gp܂͂̑̈ɂĐ؂̐A
QȂ̋`ɂĉ̐ӔCȂ̂Ƃ܂B
*******************************************************************************/
#ifndef  __TRACKBALL_H__
#define  __TRACKBALL_H__
#include  "../math/quaternion.h"


//-------------
//  trackball
//-------------
class
trackball
{
	int			w, h, xc, yc;	// ͗̈̃TCY𒆐S̈ʒu
	float		R;				// gbN{[̃TCY
	float		sc;				// XP[
	vector3f	v1;
public:
	trackball() : R(0.8), sc(1.0), w(1), h(1), xc(0), yc(0) {};
	void		set_area(int _w, int _h)	{ w=_w; h=_h; xc=w/2; yc=h/2; }
	void		set_R(float _R)				{ R=_R; }
	void		set_scale(float _sc)		{ sc=_sc; }
	void		set_point1(float x1, float y1);
	quaternionf	set_point2(float x2, float y2);
private:
	vector3f  direction(float x, float y) const;
};


//---------
//  lever
//---------
class
lever
{
	int		h;
	float	sc;
	float	y1;
public:
	lever() : sc(2.0), h(1) {};
	void	set_area(int _h)		{ h=_h; }
	void	set_scale(float _sc)	{ sc=_sc; }
	void	set_point1(float _y1);
	float	set_point2(float _y2);
};



#endif